import { CheckboxState } from './types';
/**
 * @internal
 *
 * This is an interface for the `getNextCheckboxState` function. Exported
 * for ease-of-use to get the matching type for the passed parameter.
 */
export interface GetNextCheckboxStateParams {
    checkboxState: Record<string, CheckboxState>;
    prop: string;
    data: any | any[];
    filteredDataLength: number;
    idProp: string;
    type: 'add' | 'remove';
}
/**
 * @internal
 *
 * This function is used to get the next checkbox state. This function is separated
 * because the checkbox state is used in both `TableHeader` and `TableBody` components.
 */
export declare function getNextCheckboxState({ checkboxState, prop, data, filteredDataLength, idProp, type }: GetNextCheckboxStateParams): {
    selected: Set<string>;
    state: "none-selected" | "some-selected" | "all-selected";
};
